# Class MappingInterventions

Namespace
  adas_core.Domain.Models.AppSettings

Assembly
  adas-core.Domain.dll

Represents a collection or configuration for mapping interventions, providing the means to associate intervention data with corresponding target structures or actions.

    public class MappingInterventions

Inheritance
  object
  MappingInterventions

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Properties

### Category

    public ObservationEnum.Category? Category { get; set; }

#### Property Value

ObservationEnum.Category?

### Codes

    public List<InterventionsCodes> Codes { get; set; }

#### Property Value

List<InterventionsCodes>

### Group

    public string? Group { get; set; }

#### Property Value

string

### Name

    public string? Name { get; set; }

#### Property Value

string

### Type

    public string? Type { get; set; }

#### Property Value

string

### Value

    public List<InterventionsValues>? Value { get; set; }

#### Property Value

List<InterventionsValues>